library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity reg512 is
	port(	reg_in: in STD_LOGIC_VECTOR(511 downto 0);
			clk: in STD_LOGIC;
			en: in STD_LOGIC;
			reg_out: out STD_LOGIC_VECTOR(511 downto 0));
end reg512;

architecture arch of reg512 is

begin

	process(clk)
	begin
		if clk'event and clk='1' then
			if en='1' then	
				reg_out(511 downto 0) <= reg_in(511 downto 0);
				--else
				--reg_out(255 downto 0) <= reg_out(255 downto 0);
			end if;
		end if;
	end process;

end arch;