
---------------------------------------
--
-- Testbench voor AESround
--
-- Masterproef 
--
---------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity TB_AESR is
end TB_AESR;

architecture behav of TB_AESR is
    
	--componenten
	component AESround is
    Port (  AESinput : in  STD_LOGIC_VECTOR (127 downto 0);
            AESoutput : out  STD_LOGIC_VECTOR (127 downto 0);
			AESkey : in  STD_LOGIC_VECTOR (127 downto 0));
	end component;
 
	--signalen   
	signal datain:   std_logic_vector(127 downto 0);
	SIGNAL dataout:  std_logic_vector(127 downto 0);
	signal key:   std_logic_vector(127 downto 0);
    
   
begin
    
	inst_AESR: AESround 
		port map(datain, dataout, key);
	
	
	testprocess: process
	begin
	
					report"----------------------------------------------------------------->>>Begin simulatie";
					key<= x"68050000000000000000000000000000";
					datain(127 downto 0)<= x"00010000000000000000000000000000";
					wait for 10ns;
					report"----------------------------------------------------------------->Output complete";
					Assert( dataout = x"0B6663636363636363636363425D7C7C" ) report "----!!---------!!-----------!!----------!!------------!!---------De output is fout!" severity ERROR;
					report"----------------------------------------------------------------->>>Einde simulatie";

    end process;
    
end behav;

   