
---------------------------------------
--
-- Testbench voor AddRoundKey
--
-- Masterproef 
--
---------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity TB_ARK is
end TB_ARK;

architecture behav of TB_ARK is
    
	--componenten
	component AddRoundKey is 
	port (	addroundkey_in : in std_logic_vector(127 downto 0);
			addroundkey_key : in std_logic_vector(127 downto 0);
			addroundkey_out : out std_logic_vector(127 downto 0));
	end component;
 
	--signalen   
	signal datain:   std_logic_vector(127 downto 0);
	SIGNAL dataout:  std_logic_vector(127 downto 0);
	signal key:   std_logic_vector(127 downto 0);
    
   
begin
    
	inst_BSR: AddRoundKey 
		port map(datain, key, dataout);
	
	
	testprocess: process
	begin
					report"----------------------------------------------------------------->>>Begin simulatie";
					key<= x"75050000000000000000000000000000";
					datain(127 downto 0)<= x"0824C55C4B5265548FEBD6AAD5C5EEDF";
					wait for 10ns;
					report"----------------------------------------------------------------->Output complete";
					Assert( dataout = x"7D21C55C4B5265548FEBD6AAD5C5EEDF" ) report "----!!---------!!-----------!!----------!!------------!!---------De output is fout!" severity ERROR;
					report"----------------------------------------------------------------->>>Einde simulatie";

    end process;
    
end behav;

   