library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity Truncation is
    port(Trunc_in: in std_logic_vector(511 downto 0);
         Trunc_out: out std_logic_vector(255 downto 0)
        );
end Truncation;

architecture Behavioral of Truncation is 


signal row1, row3 : std_logic_vector(127 downto 0);

begin
row1 <= Trunc_in(511 downto 384);
row3 <= Trunc_in( 255 downto 128);

Trunc_out <= row1 & row3;

end Behavioral;