
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity FFBuffer is
	port (	buffer_in, clk, rst,enable_buffer: in std_logic;
			 buffer_out: out std_logic_vector(31 downto 0)
			 );
end entity;

architecture Buffer_arch of FFBuffer is


signal reg :std_logic_vector(31 downto 0);
begin
	
	bfr: process (clk,rst)
     begin 
       if rst='1' then
           reg <= (others => '0');
       elsif enable_buffer = '1' then
           if  clk'event and clk ='1' then
            	reg(31 downto 1) <= reg(30 downto 0);
	          
	          reg(0)<= buffer_in;
	        else 
	          reg <= reg;
	        end if; 
	    else 
	        reg <= reg;
	    end if;    
	  end process;
buffer_out <= reg;
	
	         
end;
	
	
