--teller om te tellen hoeveel keer de nietlineaire permutatie al is uitgevoerd.


library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity NLPbitCounter is
    port(Counter_enable,clk,rst: in std_logic;
         Counter_out: out std_logic_vector(4 downto 0)
        );
end NLPbitCounter;

architecture Behavioral of NLPbitCounter is 
signal ctr : std_logic_vector(4 downto 0);
begin

process(clk,rst)
    begin
        if rst = '1' then
           ctr <= "00000"; 
        elsif clk'event and clk = '1' then
            if Counter_enable = '1' then
               ctr <= ctr+1;
            else
               ctr <= ctr;
        end if;
    end if;
	 
end process;
counter_out <= ctr;
end Behavioral;