library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity MessageExpansion is
    port(input : in std_logic_vector(31 downto 0);
         output: out std_logic_vector(255 downto 0)
        );
end MessageExpansion;

architecture Behavioral of MessageExpansion is 
begin
output(0)<= input(0);
output(1)<= input(2);
output(2)<= input(4);
output(3)<= input(6);
output(4)<= input(8);
output(5)<= input(10);
output(6)<= input(12);
output(7)<= input(14);
output(8)<= input(16);
output(9)<= input(18);
output(10)<= input(20);
output(11)<= input(22);
output(12)<= input(24);
output(13)<= input(26);
output(14)<= input(28);
output(15)<= input(30);
output(16)<= input(1) xor input(2) xor input(5) xor input(9) xor input(13) xor input(21) xor input(23) xor input(24) xor input(25) xor input(27) xor input(28) xor input(29) xor input(31);
output(17)<= input(0) xor input(2) xor input(6) xor input(11) xor input(12) xor input(13) xor input(14) xor input(15) xor input(19) xor input(20) xor input(22) xor input(23) xor input(26) xor input(27) xor input(28) xor input(29) xor input(31);
output(18)<= input(0) xor input(3) xor input(6) xor input(7) xor input(8) xor input(12) xor input(15) xor input(16) xor input(17) xor input(19) xor input(20) xor input(21) xor input(24) xor input(29) xor input(31);
output(19)<= input(0) xor input(3) xor input(4) xor input(5) xor input(6) xor input(7) xor input(8) xor input(9) xor input(10) xor input(12) xor input(13) xor input(17) xor input(18) xor input(20) xor input(21) xor input(23) xor input(25) xor input(26) xor input(28) xor input(30) xor input(31);
output(20)<= input(1) xor input(7) xor input(8) xor input(9) xor input(10) xor input(11) xor input(14) xor input(18) xor input(20) xor input(21) xor input(22) xor input(24) xor input(27) xor input(28) xor input(29) xor input(30) xor input(31);
output(21)<= input(1) xor input(2) xor input(3) xor input(5) xor input(6) xor input(9) xor input(10) xor input(11) xor input(13) xor input(15) xor input(16) xor input(18) xor input(19) xor input(20) xor input(21) xor input(22) xor input(25) xor input(26) xor input(30);
output(22)<= input(0) xor input(1) xor input(8) xor input(11) xor input(12) xor input(14) xor input(17) xor input(27) xor input(29) xor input(30) xor input(31);
output(23)<= input(1) xor input(3) xor input(5) xor input(6) xor input(10) xor input(12) xor input(13) xor input(14) xor input(15) xor input(16) xor input(18) xor input(21) xor input(23) xor input(24) xor input(25);
output(24)<= input(3) xor input(5) xor input(7) xor input(8) xor input(12) xor input(14) xor input(15) xor input(16) xor input(17) xor input(18) xor input(20) xor input(23) xor input(25) xor input(26) xor input(27);
output(25)<= input(5) xor input(7) xor input(9) xor input(10) xor input(14) xor input(16) xor input(17) xor input(18) xor input(19) xor input(20) xor input(22) xor input(25) xor input(27) xor input(28) xor input(29);
output(26)<= input(7) xor input(9) xor input(11) xor input(12) xor input(16) xor input(18) xor input(19) xor input(20) xor input(21) xor input(22) xor input(24) xor input(27) xor input(29) xor input(30) xor input(31);
output(27)<= input(1) xor input(2) xor input(5) xor input(6) xor input(9) xor input(11) xor input(12) xor input(13) xor input(14) xor input(15) xor input(19) xor input(20) xor input(22) xor input(25) xor input(26);
output(28)<= input(3) xor input(4) xor input(7) xor input(8) xor input(11) xor input(13) xor input(14) xor input(15) xor input(16) xor input(17) xor input(21) xor input(22) xor input(24) xor input(27) xor input(28);
output(29)<= input(5) xor input(6) xor input(9) xor input(10) xor input(13) xor input(15) xor input(16) xor input(17) xor input(18) xor input(19) xor input(23) xor input(24) xor input(26) xor input(29) xor input(30);
output(30)<= input(0) xor input(1) xor input(3) xor input(4) xor input(5) xor input(8) xor input(11) xor input(12) xor input(13) xor input(14) xor input(17) xor input(19) xor input(22) xor input(23) xor input(24) xor input(25) xor input(26) xor input(29) xor input(30);
output(31)<= input(0) xor input(1) xor input(2) xor input(4) xor input(6) xor input(10) xor input(16) xor input(18) xor input(19) xor input(20) xor input(22) xor input(23) xor input(25) xor input(26) xor input(27) xor input(29) xor input(30);
output(32)<= input(2) xor input(4) xor input(6) xor input(8) xor input(9) xor input(15) xor input(18) xor input(20) xor input(21) xor input(23) xor input(25) xor input(27) xor input(29) xor input(30) xor input(31);
output(33)<= input(1) xor input(2) xor input(4) xor input(5) xor input(8) xor input(10) xor input(11) xor input(12) xor input(15) xor input(17) xor input(18) xor input(19) xor input(20) xor input(21) xor input(22) xor input(24) xor input(27);
output(34)<= input(3) xor input(4) xor input(6) xor input(7) xor input(10) xor input(12) xor input(13) xor input(14) xor input(17) xor input(19) xor input(20) xor input(21) xor input(22) xor input(23) xor input(24) xor input(26) xor input(29);
output(35)<= input(5) xor input(6) xor input(8) xor input(9) xor input(12) xor input(14) xor input(15) xor input(16) xor input(19) xor input(21) xor input(22) xor input(23) xor input(24) xor input(25) xor input(26) xor input(28) xor input(31);
output(36)<= input(0) xor input(2) xor input(3) xor input(4) xor input(6) xor input(8) xor input(10) xor input(11) xor input(12) xor input(13) xor input(16) xor input(17) xor input(18) xor input(19) xor input(20) xor input(21) xor input(22) xor input(23) xor input(24) xor input(26) xor input(27);
output(37)<= input(2) xor input(4) xor input(5) xor input(6) xor input(8) xor input(10) xor input(12) xor input(13) xor input(14) xor input(15) xor input(18) xor input(19) xor input(20) xor input(21) xor input(22) xor input(23) xor input(24) xor input(25) xor input(26) xor input(28) xor input(29);
output(38)<= input(4) xor input(6) xor input(7) xor input(8) xor input(10) xor input(12) xor input(14) xor input(15) xor input(16) xor input(17) xor input(20) xor input(21) xor input(22) xor input(23) xor input(24) xor input(25) xor input(26) xor input(27) xor input(28) xor input(30) xor input(31);
output(39)<= input(1) xor input(2) xor input(5) xor input(8) xor input(9) xor input(10) xor input(14) xor input(15) xor input(16) xor input(17) xor input(21) xor input(22) xor input(26) xor input(27) xor input(28) xor input(30) xor input(31);
output(40)<= input(1) xor input(2) xor input(3) xor input(4) xor input(5) xor input(6) xor input(7) xor input(10) xor input(11) xor input(15) xor input(16) xor input(17) xor input(21) xor input(25) xor input(28) xor input(30) xor input(31);
output(41)<= input(1) xor input(2) xor input(3) xor input(4) xor input(7) xor input(8) xor input(9) xor input(13) xor input(15) xor input(17) xor input(21) xor input(24) xor input(25) xor input(27) xor input(29) xor input(30) xor input(31);
output(42)<= input(1) xor input(2) xor input(3) xor input(4) xor input(9) xor input(10) xor input(11) xor input(12) xor input(17) xor input(18) xor input(21) xor input(24) xor input(25) xor input(26) xor input(27);
output(43)<= input(3) xor input(4) xor input(5) xor input(6) xor input(11) xor input(12) xor input(13) xor input(14) xor input(19) xor input(20) xor input(23) xor input(26) xor input(27) xor input(28) xor input(29);
output(44)<= input(5) xor input(6) xor input(7) xor input(8) xor input(13) xor input(14) xor input(15) xor input(16) xor input(21) xor input(22) xor input(25) xor input(28) xor input(29) xor input(30) xor input(31);
output(45)<= input(1) xor input(2) xor input(5) xor input(6) xor input(7) xor input(8) xor input(9) xor input(10) xor input(12) xor input(16) xor input(17) xor input(19) xor input(21) xor input(25) xor input(27) xor input(29) xor input(30);
output(46)<= input(0) xor input(1) xor input(5) xor input(8) xor input(9) xor input(10) xor input(11) xor input(12) xor input(13) xor input(15) xor input(19) xor input(20) xor input(22) xor input(24) xor input(27) xor input(28) xor input(30);
output(47)<= input(0) xor input(1) xor input(2) xor input(4) xor input(5) xor input(10) xor input(11) xor input(12) xor input(17) xor input(18) xor input(20) xor input(23) xor input(26) xor input(28) xor input(31);
output(48)<= input(0) xor input(1) xor input(2) xor input(3) xor input(5) xor input(6) xor input(8) xor input(9) xor input(10) xor input(12) xor input(13) xor input(14) xor input(15) xor input(16) xor input(17) xor input(19) xor input(20) xor input(22) xor input(23) xor input(24) xor input(25) xor input(26) xor input(27) xor input(28) xor input(29);
output(49)<= input(2) xor input(3) xor input(4) xor input(5) xor input(7) xor input(8) xor input(10) xor input(11) xor input(12) xor input(14) xor input(15) xor input(16) xor input(17) xor input(18) xor input(19) xor input(21) xor input(22) xor input(24) xor input(25) xor input(26) xor input(27) xor input(28) xor input(29) xor input(30) xor input(31);
output(50)<= input(1) xor input(2) xor input(4) xor input(7) xor input(9) xor input(10) xor input(13) xor input(14) xor input(15) xor input(16) xor input(17) xor input(20) xor input(25) xor input(26) xor input(27) xor input(28) xor input(30);
output(51)<= input(0) xor input(1) xor input(5) xor input(6) xor input(7) xor input(9) xor input(11) xor input(12) xor input(13) xor input(14) xor input(16) xor input(17) xor input(19) xor input(20) xor input(21) xor input(23) xor input(24) xor input(27) xor input(31);
output(52)<= input(0) xor input(4) xor input(6) xor input(8) xor input(9) xor input(11) xor input(12) xor input(15) xor input(16) xor input(18) xor input(20) xor input(21) xor input(23) xor input(26) xor input(28) xor input(29) xor input(30);
output(53)<= input(0) xor input(1) xor input(2) xor input(3) xor input(4) xor input(5) xor input(6) xor input(7) xor input(8) xor input(10) xor input(11) xor input(15) xor input(17) xor input(21) xor input(24) xor input(25) xor input(29);
output(54)<= input(2) xor input(3) xor input(4) xor input(5) xor input(6) xor input(7) xor input(8) xor input(9) xor input(10) xor input(12) xor input(13) xor input(17) xor input(19) xor input(23) xor input(26) xor input(27) xor input(31);
output(55)<= input(0) xor input(2) xor input(3) xor input(5) xor input(8) xor input(9) xor input(10) xor input(11) xor input(13) xor input(15) xor input(20) xor input(21) xor input(22) xor input(29) xor input(30);
output(56)<= input(0) xor input(1) xor input(2) xor input(3) xor input(10) xor input(11) xor input(12) xor input(14) xor input(17) xor input(18) xor input(20) xor input(21) xor input(28) xor input(29) xor input(30);
output(57)<= input(0) xor input(1) xor input(2) xor input(7) xor input(12) xor input(15) xor input(16) xor input(18) xor input(19) xor input(21) xor input(24) xor input(28) xor input(29);
output(58)<= input(2) xor input(3) xor input(4) xor input(9) xor input(14) xor input(17) xor input(18) xor input(20) xor input(21) xor input(23) xor input(26) xor input(30) xor input(31);
output(59)<= input(1) xor input(2) xor input(4) xor input(11) xor input(12) xor input(15) xor input(16) xor input(18) xor input(20) xor input(21) xor input(22) xor input(24) xor input(28) xor input(29) xor input(31);
output(60)<= input(0) xor input(2) xor input(7) xor input(12) xor input(17) xor input(18) xor input(19) xor input(23) xor input(24) xor input(25) xor input(26) xor input(28) xor input(31);
output(61)<= input(0) xor input(3) xor input(6) xor input(7) xor input(9) xor input(12) xor input(13) xor input(21) xor input(22) xor input(26) xor input(27);
output(62)<= input(2) xor input(5) xor input(8) xor input(9) xor input(11) xor input(14) xor input(15) xor input(23) xor input(24) xor input(28) xor input(29);
output(63)<= input(4) xor input(7) xor input(10) xor input(11) xor input(13) xor input(16) xor input(17) xor input(25) xor input(26) xor input(30) xor input(31);
output(64)<= input(0) xor input(5) xor input(6) xor input(11) xor input(13) xor input(14) xor input(15) xor input(16) xor input(17) xor input(19) xor input(20) xor input(21) xor input(22) xor input(23) xor input(24) xor input(25) xor input(26) xor input(27) xor input(28);
output(65)<= input(2) xor input(7) xor input(8) xor input(13) xor input(15) xor input(16) xor input(17) xor input(18) xor input(19) xor input(21) xor input(22) xor input(23) xor input(24) xor input(25) xor input(26) xor input(27) xor input(28) xor input(29) xor input(30);
output(66)<= input(0) xor input(1) xor input(3) xor input(5) xor input(7) xor input(9) xor input(10) xor input(13) xor input(14) xor input(17) xor input(19) xor input(22) xor input(25) xor input(26) xor input(27);
output(67)<= input(2) xor input(3) xor input(5) xor input(7) xor input(9) xor input(11) xor input(12) xor input(15) xor input(16) xor input(19) xor input(21) xor input(24) xor input(27) xor input(28) xor input(29);
output(68)<= input(4) xor input(5) xor input(7) xor input(9) xor input(11) xor input(13) xor input(14) xor input(17) xor input(18) xor input(21) xor input(23) xor input(26) xor input(29) xor input(30) xor input(31);
output(69)<= input(1) xor input(2) xor input(5) xor input(7) xor input(9) xor input(11) xor input(12) xor input(13) xor input(16) xor input(18) xor input(20) xor input(21) xor input(24) xor input(28) xor input(29);
output(70)<= input(3) xor input(4) xor input(7) xor input(9) xor input(11) xor input(13) xor input(14) xor input(15) xor input(18) xor input(20) xor input(22) xor input(23) xor input(26) xor input(30) xor input(31);
output(71)<= input(1) xor input(2) xor input(9) xor input(11) xor input(12) xor input(13) xor input(16) xor input(17) xor input(18) xor input(19) xor input(20) xor input(21) xor input(22) xor input(23) xor input(28) xor input(29) xor input(31);
output(72)<= input(0) xor input(2) xor input(6) xor input(7) xor input(11) xor input(12) xor input(15) xor input(18) xor input(21) xor input(23) xor input(24) xor input(28) xor input(31);
output(73)<= input(0) xor input(3) xor input(6) xor input(7) xor input(8) xor input(9) xor input(12) xor input(17) xor input(19) xor input(22) xor input(23) xor input(26) xor input(28);
output(74)<= input(2) xor input(5) xor input(8) xor input(9) xor input(10) xor input(11) xor input(14) xor input(19) xor input(21) xor input(24) xor input(25) xor input(28) xor input(30);
output(75)<= input(0) xor input(1) xor input(3) xor input(5) xor input(10) xor input(11) xor input(12) xor input(14) xor input(15) xor input(16) xor input(18) xor input(20) xor input(22) xor input(24) xor input(26) xor input(27) xor input(28) xor input(29) xor input(31);
output(76)<= input(0) xor input(4) xor input(5) xor input(6) xor input(16) xor input(17) xor input(18) xor input(19) xor input(24) xor input(25) xor input(26) xor input(29) xor input(31);
output(77)<= input(0) xor input(3) xor input(4) xor input(8) xor input(12) xor input(13) xor input(14) xor input(18) xor input(21) xor input(22) xor input(25) xor input(26) xor input(27) xor input(30) xor input(31);
output(78)<= input(1) xor input(10) xor input(12) xor input(14) xor input(16) xor input(18) xor input(19) xor input(20) xor input(21) xor input(25) xor input(27) xor input(28) xor input(31);
output(79)<= input(0) xor input(2) xor input(4) xor input(6) xor input(7) xor input(13) xor input(16) xor input(18) xor input(19) xor input(21) xor input(23) xor input(25) xor input(27) xor input(28) xor input(29);
output(80)<= input(2) xor input(4) xor input(6) xor input(8) xor input(11) xor input(12) xor input(16) xor input(17) xor input(18) xor input(20) xor input(22) xor input(24) xor input(27) xor input(29) xor input(30);
output(81)<= input(0) xor input(1) xor input(3) xor input(5) xor input(6) xor input(7) xor input(8) xor input(10) xor input(15) xor input(19) xor input(21) xor input(23) xor input(26) xor input(28) xor input(30);
output(82)<= input(0) xor input(1) xor input(2) xor input(4) xor input(8) xor input(9) xor input(10) xor input(12) xor input(13) xor input(14) xor input(15) xor input(17) xor input(18) xor input(20) xor input(22) xor input(24) xor input(25) xor input(29) xor input(31);
output(83)<= input(0) xor input(7) xor input(10) xor input(11) xor input(13) xor input(15) xor input(16) xor input(17) xor input(24) xor input(25) xor input(26) xor input(27) xor input(28) xor input(30) xor input(31);
output(84)<= input(1) xor input(5) xor input(6) xor input(9) xor input(13) xor input(17) xor input(21) xor input(23) xor input(24) xor input(25) xor input(26) xor input(27) xor input(28) xor input(30) xor input(31);
output(85)<= input(1) xor input(2) xor input(3) xor input(5) xor input(6) xor input(7) xor input(8) xor input(11) xor input(12) xor input(18) xor input(21) xor input(24) xor input(26) xor input(27) xor input(28) xor input(30) xor input(31);
output(86)<= input(1) xor input(2) xor input(3) xor input(4) xor input(6) xor input(7) xor input(8) xor input(9) xor input(10) xor input(12) xor input(13) xor input(14) xor input(15) xor input(18) xor input(19) xor input(20) xor input(21) xor input(24) xor input(25) xor input(26) xor input(28) xor input(30) xor input(31);
output(87)<= input(1) xor input(2) xor input(3) xor input(4) xor input(8) xor input(9) xor input(10) xor input(11) xor input(14) xor input(16) xor input(17) xor input(18) xor input(19) xor input(20) xor input(22) xor input(24) xor input(25) xor input(26) xor input(27) xor input(28) xor input(29) xor input(30) xor input(31);
output(88)<= input(1) xor input(2) xor input(3) xor input(4) xor input(10) xor input(11) xor input(13) xor input(15) xor input(16) xor input(20) xor input(22) xor input(23) xor input(25) xor input(26) xor input(27) xor input(28) xor input(30);
output(89)<= input(0) xor input(1) xor input(6) xor input(7) xor input(12) xor input(14) xor input(17) xor input(20) xor input(21) xor input(23) xor input(25) xor input(27) xor input(31);
output(90)<= input(0) xor input(4) xor input(6) xor input(7) xor input(8) xor input(9) xor input(12) xor input(13) xor input(16) xor input(20) xor input(23) xor input(27) xor input(28) xor input(29) xor input(30);
output(91)<= input(0) xor input(1) xor input(2) xor input(3) xor input(4) xor input(5) xor input(6) xor input(7) xor input(8) xor input(9) xor input(10) xor input(11) xor input(13) xor input(20) xor input(21) xor input(23) xor input(24) xor input(25) xor input(28);
output(92)<= input(2) xor input(3) xor input(4) xor input(5) xor input(6) xor input(7) xor input(8) xor input(9) xor input(10) xor input(11) xor input(12) xor input(13) xor input(15) xor input(22) xor input(23) xor input(25) xor input(26) xor input(27) xor input(30);
output(93)<= input(0) xor input(1) xor input(3) xor input(6) xor input(8) xor input(9) xor input(10) xor input(11) xor input(12) xor input(17) xor input(18) xor input(20) xor input(21) xor input(22) xor input(23) xor input(25) xor input(27) xor input(30) xor input(31);
output(94)<= input(1) xor input(3) xor input(6) xor input(8) xor input(10) xor input(11) xor input(13) xor input(14) xor input(15) xor input(18) xor input(20) xor input(21) xor input(22) xor input(27) xor input(31);
output(95)<= input(0) xor input(2) xor input(4) xor input(5) xor input(6) xor input(7) xor input(8) xor input(10) xor input(14) xor input(15) xor input(16) xor input(17) xor input(19) xor input(23) xor input(24) xor input(25) xor input(28) xor input(29) xor input(30);
output(96)<= input(0) xor input(1) xor input(2) xor input(5) xor input(6) xor input(7) xor input(8) xor input(12) xor input(13) xor input(14) xor input(15) xor input(23) xor input(25) xor input(27) xor input(30);
output(97)<= input(0) xor input(1) xor input(3) xor input(4) xor input(5) xor input(7) xor input(13) xor input(14) xor input(15) xor input(18) xor input(20) xor input(21) xor input(22) xor input(23) xor input(24) xor input(28) xor input(29) xor input(30) xor input(31);
output(98)<= input(1) xor input(3) xor input(7) xor input(9) xor input(12) xor input(16) xor input(17) xor input(18) xor input(19) xor input(20) xor input(21) xor input(22) xor input(26) xor input(29) xor input(30);
output(99)<= input(0) xor input(1) xor input(4) xor input(7) xor input(9) xor input(11) xor input(13) xor input(15) xor input(19) xor input(29) xor input(30);
output(100)<= input(0) xor input(1) xor input(2) xor input(4) xor input(5) xor input(6) xor input(7) xor input(9) xor input(11) xor input(14) xor input(17) xor input(18) xor input(20) xor input(22) xor input(23) xor input(24) xor input(28) xor input(29) xor input(30);
output(101)<= input(0) xor input(1) xor input(2) xor input(5) xor input(6) xor input(8) xor input(9) xor input(11) xor input(14) xor input(15) xor input(16) xor input(18) xor input(19) xor input(21) xor input(23) xor input(25) xor input(26) xor input(28) xor input(29);
output(102)<= input(2) xor input(3) xor input(4) xor input(7) xor input(8) xor input(10) xor input(11) xor input(13) xor input(16) xor input(17) xor input(18) xor input(20) xor input(21) xor input(23) xor input(25) xor input(27) xor input(28) xor input(30) xor input(31);
output(103)<= input(1) xor input(2) xor input(4) xor input(9) xor input(10) xor input(13) xor input(20) xor input(21) xor input(22) xor input(24) xor input(27) xor input(30) xor input(31);
output(104)<= input(1) xor input(2) xor input(3) xor input(4) xor input(5) xor input(11) xor input(18) xor input(19) xor input(21) xor input(22) xor input(25) xor input(26) xor input(31);
output(105)<= input(0) xor input(2) xor input(5) xor input(12) xor input(14) xor input(19) xor input(21) xor input(22) xor input(23) xor input(24) xor input(25) xor input(27) xor input(30);
output(106)<= input(0) xor input(1) xor input(2) xor input(3) xor input(5) xor input(13) xor input(15) xor input(16) xor input(18) xor input(20) xor input(22) xor input(25) xor input(26) xor input(27) xor input(28) xor input(30) xor input(31);
output(107)<= input(1) xor input(3) xor input(4) xor input(6) xor input(7) xor input(12) xor input(17) xor input(19) xor input(20) xor input(21) xor input(22) xor input(23) xor input(25) xor input(27) xor input(28) xor input(30) xor input(31);
output(108)<= input(1) xor input(2) xor input(3) xor input(8) xor input(9) xor input(12) xor input(14) xor input(15) xor input(18) xor input(22) xor input(27) xor input(30) xor input(31);
output(109)<= input(1) xor input(2) xor input(3) xor input(4) xor input(6) xor input(10) xor input(11) xor input(12) xor input(14) xor input(15) xor input(16) xor input(17) xor input(18) xor input(19) xor input(20) xor input(21) xor input(23) xor input(25) xor input(31);
output(110)<= input(0) xor input(2) xor input(5) xor input(7) xor input(8) xor input(16) xor input(17) xor input(18) xor input(21) xor input(23) xor input(27) xor input(28) xor input(30);
output(111)<= input(0) xor input(1) xor input(2) xor input(3) xor input(5) xor input(9) xor input(10) xor input(13) xor input(14) xor input(15) xor input(19) xor input(21) xor input(22) xor input(24) xor input(25) xor input(28) xor input(31);
output(112)<= input(2) xor input(6) xor input(8) xor input(10) xor input(11) xor input(12) xor input(13) xor input(17) xor input(19) xor input(20) xor input(21) xor input(22) xor input(26) xor input(29);
output(113)<= input(4) xor input(8) xor input(10) xor input(12) xor input(13) xor input(14) xor input(15) xor input(19) xor input(21) xor input(22) xor input(23) xor input(24) xor input(28) xor input(31);
output(114)<= input(0) xor input(1) xor input(2) xor input(5) xor input(8) xor input(9) xor input(10) xor input(13) xor input(16) xor input(17) xor input(18) xor input(20) xor input(21) xor input(22) xor input(23) xor input(24) xor input(25) xor input(27) xor input(28) xor input(30) xor input(31);
output(115)<= input(1) xor input(3) xor input(4) xor input(5) xor input(6) xor input(7) xor input(10) xor input(11) xor input(20) xor input(21) xor input(22) xor input(26) xor input(27) xor input(30) xor input(31);
output(116)<= input(1) xor input(2) xor input(3) xor input(7) xor input(8) xor input(9) xor input(13) xor input(15) xor input(18) xor input(19) xor input(21) xor input(22) xor input(25) xor input(28) xor input(31);
output(117)<= input(0) xor input(2) xor input(5) xor input(6) xor input(7) xor input(9) xor input(10) xor input(11) xor input(12) xor input(13) xor input(14) xor input(15) xor input(17) xor input(19) xor input(21) xor input(22) xor input(23) xor input(24) xor input(25) xor input(27) xor input(28);
output(118)<= input(2) xor input(4) xor input(7) xor input(8) xor input(9) xor input(11) xor input(12) xor input(13) xor input(14) xor input(15) xor input(16) xor input(17) xor input(19) xor input(21) xor input(23) xor input(24) xor input(25) xor input(26) xor input(27) xor input(29) xor input(30);
output(119)<= input(0) xor input(1) xor input(3) xor input(5) xor input(6) xor input(7) xor input(9) xor input(10) xor input(11) xor input(16) xor input(17) xor input(19) xor input(20) xor input(22) xor input(24) xor input(25) xor input(26) xor input(27) xor input(30);
output(120)<= input(0) xor input(1) xor input(2) xor input(4) xor input(8) xor input(9) xor input(11) xor input(12) xor input(14) xor input(15) xor input(19) xor input(20) xor input(23) xor input(26) xor input(27) xor input(30) xor input(31);
output(121)<= input(1) xor input(3) xor input(4) xor input(5) xor input(10) xor input(11) xor input(12) xor input(13) xor input(14) xor input(15) xor input(16) xor input(17) xor input(18) xor input(19) xor input(22) xor input(23) xor input(24) xor input(28) xor input(31);
output(122)<= input(0) xor input(2) xor input(4) xor input(5) xor input(15) xor input(16) xor input(17) xor input(18) xor input(21) xor input(22) xor input(24) xor input(26) xor input(28);
output(123)<= input(2) xor input(4) xor input(6) xor input(7) xor input(17) xor input(18) xor input(19) xor input(20) xor input(23) xor input(24) xor input(26) xor input(28) xor input(30);
output(124)<= input(0) xor input(1) xor input(3) xor input(5) xor input(6) xor input(7) xor input(8) xor input(9) xor input(13) xor input(14) xor input(15) xor input(18) xor input(19) xor input(23) xor input(24) xor input(25) xor input(26) xor input(29) xor input(31);
output(125)<= input(0) xor input(4) xor input(5) xor input(6) xor input(8) xor input(9) xor input(10) xor input(11) xor input(12) xor input(13) xor input(14) xor input(15) xor input(16) xor input(17) xor input(19) xor input(21) xor input(22) xor input(26) xor input(27) xor input(30) xor input(31);
output(126)<= input(1) xor input(5) xor input(7) xor input(8) xor input(10) xor input(11) xor input(13) xor input(14) xor input(16) xor input(17) xor input(25) xor input(28) xor input(31);
output(127)<= input(0) xor input(2) xor input(4) xor input(6) xor input(9) xor input(10) xor input(14) xor input(15) xor input(16) xor input(18) xor input(20) xor input(22) xor input(25) xor input(27) xor input(28);
output(128)<= input(1);
output(129)<= input(3);
output(130)<= input(5);
output(131)<= input(7);
output(132)<= input(9);
output(133)<= input(11);
output(134)<= input(13);
output(135)<= input(15);
output(136)<= input(17);
output(137)<= input(19);
output(138)<= input(21);
output(139)<= input(23);
output(140)<= input(25);
output(141)<= input(27);
output(142)<= input(29);
output(143)<= input(31);
output(144)<= input(0) xor input(1) xor input(3) xor input(4) xor input(5) xor input(8) xor input(9) xor input(12) xor input(13) xor input(20) xor input(21) xor input(22) xor input(23) xor input(24) xor input(26) xor input(27) xor input(28) xor input(30) xor input(31);
output(145)<= input(1) xor input(3) xor input(7) xor input(10) xor input(11) xor input(12) xor input(14) xor input(18) xor input(19) xor input(21) xor input(22) xor input(26) xor input(28) xor input(30) xor input(31);
output(146)<= input(1) xor input(2) xor input(3) xor input(6) xor input(9) xor input(13) xor input(14) xor input(15) xor input(16) xor input(18) xor input(19) xor input(20) xor input(25) xor input(28) xor input(29) xor input(30) xor input(31);
output(147)<= input(1) xor input(2) xor input(3) xor input(4) xor input(6) xor input(8) xor input(11) xor input(12) xor input(16) xor input(17) xor input(19) xor input(20) xor input(22) xor input(23) xor input(24) xor input(25) xor input(27) xor input(29) xor input(30);
output(148)<= input(0) xor input(1) xor input(6) xor input(7) xor input(8) xor input(10) xor input(15) xor input(19) xor input(20) xor input(23) xor input(25) xor input(26) xor input(27) xor input(28) xor input(30);
output(149)<= input(0) xor input(1) xor input(2) xor input(4) xor input(5) xor input(7) xor input(8) xor input(9) xor input(10) xor input(12) xor input(13) xor input(14) xor input(15) xor input(17) xor input(18) xor input(20) xor input(23) xor input(24) xor input(25) xor input(27) xor input(31);
output(150)<= input(0) xor input(9) xor input(10) xor input(11) xor input(13) xor input(15) xor input(16) xor input(17) xor input(26) xor input(27) xor input(28) xor input(29) xor input(30);
output(151)<= input(0) xor input(1) xor input(2) xor input(3) xor input(4) xor input(5) xor input(7) xor input(11) xor input(12) xor input(14) xor input(17) xor input(19) xor input(20) xor input(21) xor input(22) xor input(23) xor input(24);
output(152)<= input(2) xor input(3) xor input(4) xor input(5) xor input(6) xor input(7) xor input(9) xor input(13) xor input(14) xor input(16) xor input(19) xor input(21) xor input(22) xor input(23) xor input(24) xor input(25) xor input(26);
output(153)<= input(4) xor input(5) xor input(6) xor input(7) xor input(8) xor input(9) xor input(11) xor input(15) xor input(16) xor input(18) xor input(21) xor input(23) xor input(24) xor input(25) xor input(26) xor input(27) xor input(28);
output(154)<= input(6) xor input(7) xor input(8) xor input(9) xor input(10) xor input(11) xor input(13) xor input(17) xor input(18) xor input(20) xor input(23) xor input(25) xor input(26) xor input(27) xor input(28) xor input(29) xor input(30);
output(155)<= input(0) xor input(1) xor input(3) xor input(4) xor input(5) xor input(7) xor input(8) xor input(9) xor input(10) xor input(11) xor input(12) xor input(14) xor input(18) xor input(19) xor input(21) xor input(23) xor input(24) xor input(25) xor input(27);
output(156)<= input(2) xor input(3) xor input(5) xor input(6) xor input(7) xor input(9) xor input(10) xor input(11) xor input(12) xor input(13) xor input(14) xor input(16) xor input(20) xor input(21) xor input(23) xor input(25) xor input(26) xor input(27) xor input(29);
output(157)<= input(4) xor input(5) xor input(7) xor input(8) xor input(9) xor input(11) xor input(12) xor input(13) xor input(14) xor input(15) xor input(16) xor input(18) xor input(22) xor input(23) xor input(25) xor input(27) xor input(28) xor input(29) xor input(31);
output(158)<= input(0) xor input(2) xor input(3) xor input(4) xor input(9) xor input(10) xor input(11) xor input(12) xor input(15) xor input(16) xor input(17) xor input(18) xor input(19) xor input(22) xor input(24) xor input(27) xor input(28) xor input(29) xor input(31);
output(159)<= input(0) xor input(3) xor input(5) xor input(7) xor input(11) xor input(17) xor input(18) xor input(21) xor input(22) xor input(24) xor input(25) xor input(26) xor input(28) xor input(29) xor input(31);
output(160)<= input(3) xor input(5) xor input(7) xor input(8) xor input(14) xor input(15) xor input(19) xor input(20) xor input(22) xor input(23) xor input(24) xor input(25) xor input(26) xor input(27) xor input(28) xor input(29) xor input(30);
output(161)<= input(0) xor input(1) xor input(3) xor input(4) xor input(9) xor input(10) xor input(13) xor input(14) xor input(15) xor input(16) xor input(17) xor input(18) xor input(20) xor input(23) xor input(25) xor input(26) xor input(27);
output(162)<= input(2) xor input(3) xor input(5) xor input(6) xor input(11) xor input(12) xor input(15) xor input(16) xor input(17) xor input(18) xor input(19) xor input(20) xor input(22) xor input(25) xor input(27) xor input(28) xor input(29);
output(163)<= input(4) xor input(5) xor input(7) xor input(8) xor input(13) xor input(14) xor input(17) xor input(18) xor input(19) xor input(20) xor input(21) xor input(22) xor input(24) xor input(27) xor input(29) xor input(30) xor input(31);
output(164)<= input(1) xor input(2) xor input(5) xor input(7) xor input(9) xor input(10) xor input(12) xor input(16) xor input(18) xor input(20) xor input(22) xor input(25) xor input(26);
output(165)<= input(3) xor input(4) xor input(7) xor input(9) xor input(11) xor input(12) xor input(14) xor input(18) xor input(20) xor input(22) xor input(24) xor input(27) xor input(28);
output(166)<= input(5) xor input(6) xor input(9) xor input(11) xor input(13) xor input(14) xor input(16) xor input(20) xor input(22) xor input(24) xor input(26) xor input(29) xor input(30);
output(167)<= input(0) xor input(1) xor input(3) xor input(4) xor input(5) xor input(8) xor input(11) xor input(14) xor input(16) xor input(20) xor input(21) xor input(23) xor input(26) xor input(29) xor input(30);
output(168)<= input(0) xor input(1) xor input(2) xor input(4) xor input(6) xor input(10) xor input(14) xor input(15) xor input(16) xor input(20) xor input(21) xor input(24) xor input(25) xor input(29) xor input(30);
output(169)<= input(0) xor input(1) xor input(2) xor input(5) xor input(6) xor input(7) xor input(8) xor input(12) xor input(13) xor input(14) xor input(15) xor input(16) xor input(17) xor input(20) xor input(21) xor input(24) xor input(26) xor input(27) xor input(28) xor input(29) xor input(30);
output(170)<= input(0) xor input(1) xor input(2) xor input(5) xor input(8) xor input(9) xor input(10) xor input(13) xor input(16) xor input(17) xor input(19) xor input(20) xor input(21) xor input(24) xor input(26);
output(171)<= input(2) xor input(3) xor input(4) xor input(7) xor input(10) xor input(11) xor input(12) xor input(15) xor input(18) xor input(19) xor input(21) xor input(22) xor input(23) xor input(26) xor input(28);
output(172)<= input(4) xor input(5) xor input(6) xor input(9) xor input(12) xor input(13) xor input(14) xor input(17) xor input(20) xor input(21) xor input(23) xor input(24) xor input(25) xor input(28) xor input(30);
output(173)<= input(0) xor input(1) xor input(3) xor input(4) xor input(5) xor input(6) xor input(8) xor input(11) xor input(13) xor input(16) xor input(18) xor input(19) xor input(20) xor input(21) xor input(24) xor input(25) xor input(26) xor input(27) xor input(28) xor input(29) xor input(31);
output(174)<= input(0) xor input(4) xor input(5) xor input(8) xor input(10) xor input(12) xor input(14) xor input(15) xor input(18) xor input(19) xor input(21) xor input(23) xor input(25) xor input(26) xor input(27) xor input(29) xor input(31);
output(175)<= input(0) xor input(3) xor input(4) xor input(10) xor input(13) xor input(16) xor input(17) xor input(19) xor input(21) xor input(22) xor input(23) xor input(27) xor input(29) xor input(30) xor input(31);
output(176)<= input(0) xor input(2) xor input(4) xor input(5) xor input(7) xor input(8) xor input(11) xor input(12) xor input(14) xor input(16) xor input(18) xor input(19) xor input(21) xor input(22) xor input(24) xor input(26) xor input(28);
output(177)<= input(2) xor input(4) xor input(6) xor input(7) xor input(9) xor input(10) xor input(13) xor input(14) xor input(16) xor input(18) xor input(20) xor input(21) xor input(23) xor input(24) xor input(26) xor input(28) xor input(30);
output(178)<= input(0) xor input(1) xor input(3) xor input(5) xor input(6) xor input(7) xor input(8) xor input(9) xor input(11) xor input(12) xor input(13) xor input(14) xor input(16) xor input(21) xor input(24) xor input(25) xor input(26) xor input(29) xor input(31);
output(179)<= input(0) xor input(4) xor input(5) xor input(6) xor input(8) xor input(9) xor input(10) xor input(11) xor input(12) xor input(15) xor input(16) xor input(18) xor input(19) xor input(20) xor input(22) xor input(23) xor input(25) xor input(26) xor input(27) xor input(30) xor input(31);
output(180)<= input(1) xor input(5) xor input(7) xor input(8) xor input(10) xor input(11) xor input(13) xor input(14) xor input(15) xor input(17) xor input(19) xor input(20) xor input(22) xor input(23) xor input(27) xor input(28) xor input(31);
output(181)<= input(0) xor input(2) xor input(4) xor input(6) xor input(9) xor input(10) xor input(14) xor input(15) xor input(16) xor input(17) xor input(20) xor input(21) xor input(24) xor input(28) xor input(29);
output(182)<= input(2) xor input(4) xor input(6) xor input(8) xor input(11) xor input(12) xor input(16) xor input(17) xor input(18) xor input(19) xor input(22) xor input(23) xor input(26) xor input(30) xor input(31);
output(183)<= input(1) xor input(2) xor input(4) xor input(5) xor input(8) xor input(10) xor input(12) xor input(13) xor input(14) xor input(15) xor input(20) xor input(23) xor input(28) xor input(29) xor input(31);
output(184)<= input(0) xor input(2) xor input(10) xor input(13) xor input(15) xor input(16) xor input(17) xor input(19) xor input(20) xor input(28) xor input(31);
output(185)<= input(0) xor input(3) xor input(6) xor input(7) xor input(13) xor input(14) xor input(15) xor input(17) xor input(18) xor input(20) xor input(21) xor input(25) xor input(28);
output(186)<= input(2) xor input(5) xor input(8) xor input(9) xor input(15) xor input(16) xor input(17) xor input(19) xor input(20) xor input(22) xor input(23) xor input(27) xor input(30);
output(187)<= input(0) xor input(1) xor input(3) xor input(5) xor input(10) xor input(11) xor input(13) xor input(14) xor input(15) xor input(17) xor input(19) xor input(20) xor input(23) xor input(25) xor input(28) xor input(30) xor input(31);
output(188)<= input(1) xor input(3) xor input(6) xor input(7) xor input(13) xor input(16) xor input(17) xor input(18) xor input(22) xor input(23) xor input(24) xor input(27) xor input(29) xor input(30) xor input(31);
output(189)<= input(1) xor input(2) xor input(3) xor input(6) xor input(8) xor input(9) xor input(12) xor input(20) xor input(21) xor input(23) xor input(26);
output(190)<= input(3) xor input(4) xor input(5) xor input(8) xor input(10) xor input(11) xor input(14) xor input(22) xor input(23) xor input(25) xor input(28);
output(191)<= input(5) xor input(6) xor input(7) xor input(10) xor input(12) xor input(13) xor input(16) xor input(24) xor input(25) xor input(27) xor input(30);
output(192)<= input(1) xor input(4) xor input(5) xor input(7) xor input(10) xor input(11) xor input(12) xor input(13) xor input(14) xor input(16) xor input(18) xor input(19) xor input(20) xor input(22) xor input(24) xor input(26) xor input(29);
output(193)<= input(3) xor input(6) xor input(7) xor input(9) xor input(12) xor input(13) xor input(14) xor input(15) xor input(16) xor input(18) xor input(20) xor input(21) xor input(22) xor input(24) xor input(26) xor input(28) xor input(31);
output(194)<= input(0) xor input(2) xor input(3) xor input(4) xor input(5) xor input(6) xor input(7) xor input(8) xor input(9) xor input(11) xor input(12) xor input(13) xor input(15) xor input(16) xor input(17) xor input(18) xor input(19) xor input(23) xor input(24) xor input(25) xor input(26);
output(195)<= input(2) xor input(4) xor input(5) xor input(6) xor input(7) xor input(8) xor input(9) xor input(10) xor input(11) xor input(13) xor input(14) xor input(15) xor input(17) xor input(18) xor input(19) xor input(20) xor input(21) xor input(25) xor input(26) xor input(27) xor input(28);
output(196)<= input(4) xor input(6) xor input(7) xor input(8) xor input(9) xor input(10) xor input(11) xor input(12) xor input(13) xor input(15) xor input(16) xor input(17) xor input(19) xor input(20) xor input(21) xor input(22) xor input(23) xor input(27) xor input(28) xor input(29) xor input(30);
output(197)<= input(0) xor input(1) xor input(3) xor input(4) xor input(5) xor input(6) xor input(7) xor input(8) xor input(9) xor input(10) xor input(11) xor input(12) xor input(17) xor input(19) xor input(20) xor input(25) xor input(28);
output(198)<= input(2) xor input(3) xor input(5) xor input(6) xor input(7) xor input(8) xor input(9) xor input(10) xor input(11) xor input(12) xor input(13) xor input(14) xor input(19) xor input(21) xor input(22) xor input(27) xor input(30);
output(199)<= input(0) xor input(1) xor input(3) xor input(8) xor input(9) xor input(10) xor input(11) xor input(12) xor input(16) xor input(18) xor input(20) xor input(22) xor input(28) xor input(30) xor input(31);
output(200)<= input(1) xor input(3) xor input(6) xor input(10) xor input(11) xor input(13) xor input(14) xor input(15) xor input(19) xor input(20) xor input(21) xor input(22) xor input(23) xor input(25) xor input(29) xor input(30) xor input(31);
output(201)<= input(1) xor input(2) xor input(3) xor input(6) xor input(8) xor input(13) xor input(16) xor input(17) xor input(18) xor input(19) xor input(22) xor input(27) xor input(29);
output(202)<= input(3) xor input(4) xor input(5) xor input(8) xor input(10) xor input(15) xor input(18) xor input(19) xor input(20) xor input(21) xor input(24) xor input(29) xor input(31);
output(203)<= input(0) xor input(2) xor input(3) xor input(4) xor input(5) xor input(10) xor input(13) xor input(14) xor input(17) xor input(19) xor input(21) xor input(23) xor input(25) xor input(26) xor input(28) xor input(30) xor input(31);
output(204)<= input(1) xor input(4) xor input(7) xor input(16) xor input(18) xor input(24) xor input(27) xor input(28) xor input(29) xor input(30) xor input(31);
output(205)<= input(1) xor input(2) xor input(3) xor input(5) xor input(9) xor input(12) xor input(15) xor input(19) xor input(20) xor input(21) xor input(23) xor input(24) xor input(25) xor input(26) xor input(30);
output(206)<= input(0) xor input(1) xor input(11) xor input(13) xor input(15) xor input(17) xor input(18) xor input(20) xor input(24) xor input(25) xor input(26) xor input(27) xor input(29) xor input(30) xor input(31);
output(207)<= input(1) xor input(3) xor input(5) xor input(6) xor input(12) xor input(13) xor input(17) xor input(18) xor input(20) xor input(21) xor input(22) xor input(23) xor input(24) xor input(25) xor input(26) xor input(27) xor input(28);
output(208)<= input(3) xor input(5) xor input(7) xor input(9) xor input(10) xor input(11) xor input(13) xor input(16) xor input(19) xor input(21) xor input(23) xor input(25) xor input(26) xor input(27) xor input(28) xor input(29) xor input(31);
output(209)<= input(0) xor input(2) xor input(3) xor input(4) xor input(5) xor input(6) xor input(9) xor input(11) xor input(14) xor input(15) xor input(18) xor input(19) xor input(20) xor input(21) xor input(22) xor input(23) xor input(27) xor input(29) xor input(31);
output(210)<= input(0) xor input(3) xor input(5) xor input(8) xor input(11) xor input(12) xor input(14) xor input(16) xor input(17) xor input(19) xor input(21) xor input(23) xor input(24) xor input(28) xor input(29) xor input(30) xor input(31);
output(211)<= input(1) xor input(6) xor input(7) xor input(10) xor input(12) xor input(13) xor input(14) xor input(15) xor input(16) xor input(24) xor input(26) xor input(29) xor input(30);
output(212)<= input(0) xor input(1) xor input(4) xor input(5) xor input(7) xor input(8) xor input(9) xor input(12) xor input(13) xor input(16) xor input(17) xor input(20) xor input(21) xor input(22) xor input(23) xor input(24) xor input(26) xor input(29) xor input(30);
output(213)<= input(0) xor input(1) xor input(2) xor input(4) xor input(5) xor input(6) xor input(9) xor input(10) xor input(11) xor input(13) xor input(19) xor input(20) xor input(21) xor input(25) xor input(26) xor input(29) xor input(30);
output(214)<= input(0) xor input(1) xor input(2) xor input(5) xor input(6) xor input(8) xor input(11) xor input(12) xor input(14) xor input(18) xor input(20) xor input(24) xor input(27) xor input(29) xor input(30);
output(215)<= input(0) xor input(1) xor input(2) xor input(5) xor input(8) xor input(10) xor input(15) xor input(16) xor input(18) xor input(21) xor input(23) xor input(24) xor input(26) xor input(28) xor input(30);
output(216)<= input(0) xor input(1) xor input(2) xor input(5) xor input(10) xor input(12) xor input(13) xor input(14) xor input(15) xor input(17) xor input(21) xor input(22) xor input(24) xor input(25) xor input(26) xor input(29) xor input(31);
output(217)<= input(0) xor input(6) xor input(13) xor input(15) xor input(16) xor input(17) xor input(20) xor input(22) xor input(23) xor input(24) xor input(25) xor input(26) xor input(27) xor input(30) xor input(31);
output(218)<= input(1) xor input(5) xor input(6) xor input(8) xor input(12) xor input(17) xor input(21) xor input(22) xor input(23) xor input(26) xor input(27) xor input(28) xor input(31);
output(219)<= input(0) xor input(2) xor input(4) xor input(6) xor input(8) xor input(10) xor input(12) xor input(13) xor input(20) xor input(22) xor input(23) xor input(24) xor input(29);
output(220)<= input(2) xor input(4) xor input(6) xor input(8) xor input(10) xor input(12) xor input(14) xor input(15) xor input(22) xor input(24) xor input(25) xor input(26) xor input(31);
output(221)<= input(0) xor input(2) xor input(3) xor input(7) xor input(8) xor input(10) xor input(13) xor input(16) xor input(17) xor input(19) xor input(20) xor input(22) xor input(24) xor input(25) xor input(26) xor input(27) xor input(30);
output(222)<= input(0) xor input(1) xor input(2) xor input(3) xor input(7) xor input(9) xor input(10) xor input(12) xor input(13) xor input(14) xor input(19) xor input(20) xor input(23) xor input(26) xor input(27) xor input(30) xor input(31);
output(223)<= input(1) xor input(3) xor input(4) xor input(6) xor input(9) xor input(11) xor input(14) xor input(16) xor input(18) xor input(19) xor input(22) xor input(23) xor input(24) xor input(28) xor input(31);
output(224)<= input(0) xor input(3) xor input(4) xor input(5) xor input(6) xor input(9) xor input(12) xor input(14) xor input(22) xor input(23) xor input(24) xor input(25) xor input(26) xor input(27) xor input(31);
output(225)<= input(0) xor input(2) xor input(3) xor input(4) xor input(6) xor input(7) xor input(12) xor input(13) xor input(14) xor input(19) xor input(20) xor input(22) xor input(25) xor input(28) xor input(30);
output(226)<= input(0) xor input(1) xor input(2) xor input(3) xor input(6) xor input(7) xor input(8) xor input(9) xor input(13) xor input(16) xor input(18) xor input(20) xor input(23) xor input(27) xor input(28) xor input(29) xor input(31);
output(227)<= input(0) xor input(5) xor input(6) xor input(7) xor input(8) xor input(9) xor input(10) xor input(11) xor input(12) xor input(13) xor input(14) xor input(15) xor input(18) xor input(19) xor input(28) xor input(29) xor input(31);
output(228)<= input(0) xor input(3) xor input(4) xor input(6) xor input(8) xor input(9) xor input(10) xor input(11) xor input(15) xor input(16) xor input(17) xor input(19) xor input(21) xor input(22) xor input(25) xor input(28) xor input(31);
output(229)<= input(0) xor input(3) xor input(4) xor input(5) xor input(7) xor input(8) xor input(10) xor input(11) xor input(14) xor input(17) xor input(18) xor input(20) xor input(21) xor input(22) xor input(23) xor input(24) xor input(25) xor input(27) xor input(28);
output(230)<= input(2) xor input(5) xor input(6) xor input(7) xor input(9) xor input(10) xor input(12) xor input(13) xor input(16) xor input(19) xor input(20) xor input(22) xor input(23) xor input(24) xor input(25) xor input(26) xor input(27) xor input(29) xor input(30);
output(231)<= input(0) xor input(1) xor input(3) xor input(5) xor input(8) xor input(9) xor input(11) xor input(12) xor input(13) xor input(20) xor input(23) xor input(25) xor input(26) xor input(27) xor input(30);
output(232)<= input(0) xor input(1) xor input(2) xor input(4) xor input(10) xor input(11) xor input(18) xor input(20) xor input(21) xor input(23) xor input(24) xor input(25) xor input(27) xor input(30) xor input(31);
output(233)<= input(1) xor input(3) xor input(4) xor input(5) xor input(13) xor input(15) xor input(18) xor input(19) xor input(20) xor input(21) xor input(22) xor input(24) xor input(26) xor input(27) xor input(31);
output(234)<= input(0) xor input(2) xor input(4) xor input(5) xor input(12) xor input(13) xor input(14) xor input(15) xor input(17) xor input(19) xor input(21) xor input(23) xor input(24) xor input(25) xor input(26) xor input(29) xor input(30);
output(235)<= input(0) xor input(1) xor input(2) xor input(3) xor input(5) xor input(6) xor input(13) xor input(16) xor input(17) xor input(18) xor input(19) xor input(20) xor input(22) xor input(24) xor input(25) xor input(26) xor input(27) xor input(29) xor input(30);
output(236)<= input(0) xor input(1) xor input(2) xor input(8) xor input(13) xor input(14) xor input(19) xor input(23) xor input(26) xor input(27) xor input(30);
output(237)<= input(0) xor input(1) xor input(2) xor input(5) xor input(7) xor input(10) xor input(13) xor input(14) xor input(16) xor input(18) xor input(20) xor input(22) xor input(23) xor input(24) xor input(25) xor input(30) xor input(31);
output(238)<= input(1) xor input(3) xor input(4) xor input(5) xor input(6) xor input(7) xor input(9) xor input(16) xor input(19) xor input(20) xor input(21) xor input(22) xor input(23) xor input(26) xor input(27) xor input(29) xor input(31);
output(239)<= input(0) xor input(2) xor input(4) xor input(5) xor input(8) xor input(9) xor input(11) xor input(12) xor input(13) xor input(14) xor input(18) xor input(19) xor input(20) xor input(21) xor input(23) xor input(24) xor input(29) xor input(30) xor input(31);
output(240)<= input(3) xor input(7) xor input(9) xor input(10) xor input(12) xor input(16) xor input(17) xor input(18) xor input(19) xor input(20) xor input(23) xor input(27) xor input(28) xor input(29);
output(241)<= input(5) xor input(9) xor input(11) xor input(12) xor input(14) xor input(18) xor input(19) xor input(20) xor input(21) xor input(22) xor input(25) xor input(29) xor input(30) xor input(31);
output(242)<= input(0) xor input(3) xor input(4) xor input(5) xor input(8) xor input(11) xor input(12) xor input(13) xor input(16) xor input(19) xor input(20) xor input(22) xor input(24) xor input(26) xor input(27) xor input(29) xor input(30);
output(243)<= input(0) xor input(1) xor input(2) xor input(3) xor input(4) xor input(6) xor input(10) xor input(20) xor input(23) xor input(26) xor input(30);
output(244)<= input(0) xor input(1) xor input(2) xor input(6) xor input(7) xor input(8) xor input(12) xor input(13) xor input(14) xor input(15) xor input(18) xor input(20) xor input(21) xor input(23) xor input(24) xor input(25) xor input(29) xor input(30) xor input(31);
output(245)<= input(1) xor input(3) xor input(4) xor input(5) xor input(6) xor input(8) xor input(9) xor input(10) xor input(12) xor input(14) xor input(16) xor input(17) xor input(18) xor input(19) xor input(20) xor input(21) xor input(22) xor input(24) xor input(26) xor input(27) xor input(29);
output(246)<= input(3) xor input(5) xor input(6) xor input(7) xor input(8) xor input(10) xor input(11) xor input(12) xor input(14) xor input(16) xor input(18) xor input(19) xor input(20) xor input(21) xor input(22) xor input(23) xor input(24) xor input(26) xor input(28) xor input(29) xor input(31);
output(247)<= input(0) xor input(2) xor input(3) xor input(4) xor input(5) xor input(6) xor input(8) xor input(9) xor input(10) xor input(16) xor input(18) xor input(19) xor input(21) xor input(23) xor input(24) xor input(26) xor input(31);
output(248)<= input(0) xor input(3) xor input(5) xor input(8) xor input(10) xor input(11) xor input(13) xor input(14) xor input(18) xor input(19) xor input(21) xor input(22) xor input(23) xor input(26) xor input(30);
output(249)<= input(0) xor input(1) xor input(2) xor input(3) xor input(4) xor input(10) xor input(12) xor input(14) xor input(16) xor input(18) xor input(22) xor input(25) xor input(29) xor input(30) xor input(31);
output(250)<= input(1) xor input(3) xor input(4) xor input(14) xor input(15) xor input(16) xor input(19) xor input(20) xor input(21) xor input(23) xor input(25) xor input(27) xor input(29);
output(251)<= input(3) xor input(5) xor input(6) xor input(16) xor input(17) xor input(18) xor input(21) xor input(22) xor input(23) xor input(25) xor input(27) xor input(29) xor input(31);
output(252)<= input(0) xor input(2) xor input(3) xor input(4) xor input(5) xor input(6) xor input(8) xor input(12) xor input(13) xor input(14) xor input(18) xor input(22) xor input(23) xor input(24) xor input(27) xor input(28) xor input(29) xor input(30) xor input(31);
output(253)<= input(1) xor input(4) xor input(7) xor input(8) xor input(10) xor input(12) xor input(14) xor input(16) xor input(18) xor input(19) xor input(20) xor input(21) xor input(23) xor input(26) xor input(30);
output(254)<= input(0) xor input(1) xor input(4) xor input(5) xor input(6) xor input(7) xor input(9) xor input(10) xor input(12) xor input(13) xor input(15) xor input(16) xor input(24) xor input(25) xor input(29) xor input(30) xor input(31);
output(255)<= input(1) xor input(3) xor input(5) xor input(7) xor input(8) xor input(9) xor input(11) xor input(14) xor input(17) xor input(19) xor input(21) xor input(23) xor input(24) xor input(25) xor input(26) xor input(27) xor input(29);

end Behavioral;
