-- in deze blok zitten 2 counters(een voor aantal boodschappen,een voor aantal 
--binnengestroomde bits), message padding, een 32bitBuffer
-- 
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity enable_FSM is
	port (	Enable_in,clk,rst: in std_logic;
			 enable_out: out std_logic);
end entity;

architecture behavioral of enable_FSM is
type my_state is (waiting,done);
signal state :my_state;
begin



fsm: process(clk,rst,enable_in)
begin

		if rising_edge(clk) then
			case state is
				when waiting =>
					if rst = '1' then
								enable_out <= '0';
								state <= waiting;
					elsif enable_in = '1' then
								enable_out <= '1';
								state <= done;
					else
								enable_out <= '0';
								state <= waiting;
					end if;
				when done =>
				      		if rst = '1' then
								enable_out <= '0';
								state <= waiting;
						elsif enable_in = '1' then
								enable_out <= '0';
								state <= done;
					   else
								enable_out <= '0';
								state <= waiting;
--				when others =>
--				      enable_out <= '0';
--					   state <= waiting;
						end if;
			end case;
		end if;
	end process;     


	
end behavioral;
	