----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    10:55:48 04/01/2009 
-- Design Name: 
-- Module Name:    AddCounter - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity AddCounter is
port(	addCounter_in: in std_logic_vector(255 downto 0);
		counter: in std_logic_vector(63 downto 0);
		addCounter_out: out std_logic_vector(255 downto 0);
		roundnumber_lastbit: in std_logic);
end AddCounter;

architecture Behavioral of AddCounter is

begin

addCounter_out(255 downto 160) <= addCounter_in(255 downto 160);
addCounter_out(127 downto 0) <= addCounter_in(127 downto 0);


process(addCounter_in, counter, roundnumber_lastbit)

begin


if roundnumber_lastbit = '0' then
	addCounter_out(159 downto 128) <= counter(63 downto 32) xor addCounter_in(159 downto 128);
else
	addCounter_out(159 downto 128) <= counter(31 downto 0) xor addCounter_in(159 downto 128);
end if;

end process;

end Behavioral;

