library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity mux256 is
	port(	a, b, c, d, e, f, g: in STD_LOGIC_VECTOR(255 downto 0);
			sel: in STD_LOGIC_VECTOR(2 downto 0);
			z: out STD_LOGIC_VECTOR(255 downto 0));
end mux256;

architecture arch of mux256 is

begin

	process(a,b,c,d,e,f,g,sel)
	begin
		if sel = "000" then
			z(255 downto 0) <= a(255 downto 0);
		elsif sel = "001" then
			z(255 downto 0) <= b(255 downto 0);
		elsif sel = "010" then
			z(255 downto 0) <= c(255 downto 0);
		elsif sel = "011" then
			z(255 downto 0) <= d(255 downto 0);
		elsif sel = "100" then
			z(255 downto 0) <= e(255 downto 0);
		elsif sel = "101" then
			z(255 downto 0) <= f(255 downto 0);
		else
			z(255 downto 0) <= g(255 downto 0);
		end if;
	end process;

end arch;