library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity Data_ready_fsm is
	port (	data_ready_in,clk,rst: in std_logic;
			 Data_ready: out std_logic);
end entity;

architecture behavioral of Data_ready_fsm is

type data_ready_state is (ready,waiting); 
signal state : data_ready_state;
Begin
fsm_data_ready: process(clk,rst)
begin

if rst = '1' then
    data_ready <= '0';
    state <= waiting;
elsif rising_edge(clk) then
		    
	case state is
		when waiting =>
			if data_ready_in = '1' then
					data_ready <= '1';
           		state <= ready;
			else 
					data_ready <= '0';	
					state <= waiting;
					
			end if;
		when ready =>
      		if data_ready_in = '1' then
					data_ready <= '0';
					state <= ready;
		  else   data_ready <= '0';
		         state<= waiting;
      		end if;
				--when others =>
				  --    data_Ready <= '0';
					   --state <= waiting;
						
			end case;
		end if;
	end process;
	
	end behavioral;
