library ieee;
use ieee.std_logic_1164.all;

entity BigShiftRow is 
	port (	shiftrow_in : in std_logic_vector(2047 downto 0);
			shiftrow_out : out std_logic_vector(2047 downto 0));
end entity;

architecture BigShiftRow_arch of BigShiftRow is
	begin
	
		shiftrow_out(2047 downto 1920) <= shiftrow_in(2047 downto 1920);--0  <- 0
		shiftrow_out(1919 downto 1792) <= shiftrow_in(1407 downto 1280);--1  <- 5
		shiftrow_out(1791 downto 1664) <= shiftrow_in(767 downto 640); 	--2  <- 10
		shiftrow_out(1663 downto 1536) <= shiftrow_in(127 downto 0); 	--3  <- 15
		shiftrow_out(1535 downto 1408) <= shiftrow_in(1535 downto 1408);--4  <- 4
		shiftrow_out(1407 downto 1280) <= shiftrow_in(895 downto 768); 	--5  <- 9
		shiftrow_out(1279 downto 1152) <= shiftrow_in(255 downto 128); 	--6  <- 14
		shiftrow_out(1151 downto 1024) <= shiftrow_in(1663 downto 1536);--7  <- 3
		shiftrow_out(1023 downto 896) <= shiftrow_in(1023 downto 896); 	--8  <- 8
		shiftrow_out(895 downto 768) <= shiftrow_in(383 downto 256); 	--9  <- 13
		shiftrow_out(767 downto 640) <= shiftrow_in(1791 downto 1664); 	--10 <- 2
		shiftrow_out(639 downto 512) <= shiftrow_in(1151 downto 1024); 	--11 <- 7
		shiftrow_out(511 downto 384) <= shiftrow_in(511 downto 384); 	--12 <- 12
		shiftrow_out(383 downto 256) <= shiftrow_in(1919 downto 1792); 	--13 <- 1
		shiftrow_out(255 downto 128) <= shiftrow_in(1279 downto 1152); 	--14 <- 6
		shiftrow_out(127 downto 0) <= shiftrow_in(639 downto 512); 		--15 <- 11
	
end;
