
--telt aantal keer dat de buffer een boodschap doorgeeft

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity MessageCounter is
    port(enable_MC, clk, rst: in std_logic;
         MC_out: out std_logic_vector(63 downto 0)
        );
end MessageCounter;

architecture Behavioral of MessageCounter is 


signal counter_reg : std_logic_vector(63 downto 0);
begin
counter: process (clk,rst)
   begin
       if rst = '1' then
           counter_reg <= (others => '0');
       elsif rising_edge(clk) then
           if enable_MC= '1' then
               counter_reg <= counter_reg + 1;
           else
               counter_reg <= counter_reg;
           end if;
       end if;
 MC_out <= counter_reg;      
end process;
end Behavioral;

         