library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.STD_LOGIC_ARITH.all;
use IEEE.STD_LOGIC_UNSIGNED.all;


entity Sbox is
   port( Sbox_in :in std_logic_vector( 3 downto 0 );
         Sbox_out :out std_logic_vector( 3 downto 0 )
);
end Sbox;

architecture internals of Sbox is

Begin
process(Sbox_in)
begin
case Sbox_in is
when "0000" => Sbox_out<=  "1000";--8
when "0001" => Sbox_out<=  "0110";--6
when "0010" => Sbox_out<=  "0111";--7
when "0011" => Sbox_out<=  "1001";--9
when "0100" => Sbox_out<=  "0011";--3
when "0101" => Sbox_out<=  "1100";--12
when "0110" => Sbox_out<=  "1010";--10
when "0111" => Sbox_out<=  "1111";--15
when "1000" => Sbox_out<=  "1101";--13
when "1001" => Sbox_out<=  "0001";--1
when "1010" => Sbox_out<=  "1110";--14
when "1011" => Sbox_out<=  "0100";--4
when "1100" => Sbox_out<=  "0000";--0
when "1101" => Sbox_out<=  "1011";--11
when "1110" => Sbox_out<=  "0101";--5
when "1111" => Sbox_out<=  "0010";--2
when others => Sbox_out<= "0000";
end case;
end process;
end internals;
