library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.STD_LOGIC_ARITH.all;
use IEEE.STD_LOGIC_UNSIGNED.all;

entity Xor_poort is
   port( Xor_in :in std_logic_vector( 511 downto 0 );
         Xor_out :out std_logic_vector( 511 downto 0 );
         Counter_value: in std_logic_vector(4 downto 0);
         Last_NLP: in std_logic
);
end Xor_poort;

architecture Behavioral of Xor_poort is


    
signal s0,s1,s2,s3,s4,s5,s6,s7,s8,s9,s10,s11,s12,s13,s14,s15,s0_out,s1_out,s2_out,s3_out,s4_out,s5_out,s6_out,s7_out,
       s8_out,s9_out,s10_out,s11_out,s12_out,s13_out,s14_out,s15_out,Counter_value_reg : std_logic_vector(31 downto 0);


signal a0 : std_logic_vector(31 downto 0):= x"ff00f0f0";  
signal a1 : std_logic_vector(31 downto 0):= x"ccccaaaa";
signal a2 : std_logic_vector(31 downto 0):= x"f0f0cccc";
signal a3 : std_logic_vector(31 downto 0):= x"ff00aaaa";

signal a4 : std_logic_vector(31 downto 0):= x"f0f0cccc";  
signal a5 : std_logic_vector(31 downto 0):= x"aaaaff00";
signal a6  : std_logic_vector(31 downto 0):= x"ccccff00";
signal a7  : std_logic_vector(31 downto 0):= x"aaaaf0f0";

signal a8  : std_logic_vector(31 downto 0):= x"ccccaaaa";
signal a9  : std_logic_vector(31 downto 0):= x"ff00f0f0"; 
signal a10  : std_logic_vector(31 downto 0):= x"ff00aaaa";
signal a11  : std_logic_vector(31 downto 0):= x"f0f0cccc";

signal a12  : std_logic_vector(31 downto 0):= x"aaaaff00";
signal a13  : std_logic_vector(31 downto 0):= x"f0f0cccc"; 
signal a14  : std_logic_vector(31 downto 0):= x"aaaaf0f0";
signal a15  : std_logic_vector(31 downto 0):= x"ccccff00";
  
    
signal b0: std_logic_vector(31 downto 0) := x"caf9639c";  
signal b1: std_logic_vector(31 downto 0) := x"0ff0f9c0";  
signal b2: std_logic_vector(31 downto 0) := x"639c0ff0"; 
signal b3: std_logic_vector(31 downto 0) := x"caf9f9c0";

   
signal b4: std_logic_vector(31 downto 0) := x"639c0ff0";  
signal b5: std_logic_vector(31 downto 0) := x"f9c0caf9";  
signal b6 : std_logic_vector(31 downto 0) := x"0FF0caf9"; 
signal b7 : std_logic_vector(31 downto 0) := x"f9c0639c";

   
signal b8 : std_logic_vector(31 downto 0) := x"0FF0F9C0";  
signal b9 : std_logic_vector(31 downto 0) := x"CAF9639C";  
signal b10 : std_logic_vector(31 downto 0) := x"CAF9F9C0"; 
signal b11 : std_logic_vector(31 downto 0) := x"639C0FF0";
 
signal b12 : std_logic_vector(31 downto 0) := x"F9C0CAF9"; 
signal b13 : std_logic_vector(31 downto 0) := x"639C0FF0";  
signal b14 : std_logic_vector(31 downto 0) := x"F9C0639C"; 
signal b15 : std_logic_vector(31 downto 0) := x"0FF0CAF9";

--b16 := x"0ff0f9c0"; b17 := x"caf9639c"; b18 := x"caf9f9c0"; b19 := x"639c0ff0";
--b20 := x"639ccaf9"; b21 := x"0ff0f9c0"; b22 := x"639ccaf9"; b23 := x"f9c00ff0";
--b24 := x"f9c0caf9"; b25 := x"639c0ff0"; b26 := x"f9c0639c"; b27 := x"0ff0caf9";
--b28 := x"caf90ff0"; b29 := x"f9c0639c"; b30 := x"caf9f9c0"; b31 := x"0ff0639c";

begin
-- s0-s15 toekennen om te vergemakkelijken

s0 <= Xor_in(511 downto 480);
s1 <= Xor_in(479 downto 448);
s2 <= Xor_in(447 downto 416);
s3 <= Xor_in(415 downto 384);
s4 <= Xor_in(383 downto 352);
s5 <= Xor_in(351 downto 320);
s6 <= Xor_in(319 downto 288);
s7 <= Xor_in(287 downto 256);
s8 <= Xor_in(255 downto 224);
s9 <= Xor_in(223 downto 192);
s10 <= Xor_in(191 downto 160);
s11<= Xor_in(159 downto 128);
s12 <= Xor_in(127 downto 96);
s13 <= Xor_in(95 downto 64);
s14 <= Xor_in(63 downto 32);
s15 <= Xor_in(31 downto 0);

process(last_NLP,counter_value_reg,s0,s1,s2,s3,s4,s5,s6,s7,s8,s9,s10,s11,s12,s13,s14,s15)
    begin
        if last_NLP = '0' then
            s0_out <= s0  xor a0;
            s1_out <= s1 xor Counter_value_reg  xor a1;
            s2_out <= s2 xor a2;
            s3_out <= s3 xor a3;
            s4_out <= s4 xor a4;
            s5_out <= s5 xor a5;
            s6_out <= s6 xor a6;
            s7_out <= s7 xor a7;
            s8_out <= s8 xor a8;
            s9_out <= s9 xor a9;
            s10_out <= s10 xor a10;
            s11_out <= s11 xor a11;
            s12_out <= s12 xor a12;
            s13_out <= s13 xor a13;
            s14_out <= s14 xor a14;
            s15_out <= s15 xor a15;
        else
            s0_out <= s0 xor b0;
            s1_out <= s1 xor Counter_value_reg  xor b1;
            s2_out <= s2 xor b2;
            s3_out <= s3 xor b3;
            s4_out <= s4 xor b4;
            s5_out <= s5 xor b5;
            s6_out <= s6 xor b6;
            s7_out <= s7 xor b7;
            s8_out <= s8 xor b8;
            s9_out <= s9 xor b9;
            s10_out <= s10 xor b10;
            s11_out <= s11 xor b11;
            s12_out <= s12 xor b12;
            s13_out <= s13 xor b13;
            s14_out <= s14 xor b14;
            s15_out <= s15 xor b15;
			end if;
end process;

Counter_value_reg <= "000000000000000000000000000" & Counter_value;


Xor_out <= s0_out & s1_out & s2_out & s3_out & s4_out & s5_out & s6_out & s7_out 
& s8_out & s9_out & s10_out & s11_out & s12_out & s13_out & s14_out & s15_out; 

end Behavioral;
