----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    13:30:02 03/31/2009 
-- Design Name: 
-- Module Name:    Expansion - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity Expansion is
	port(	data_in: in std_logic_vector(511 downto 0);
			init_hash: in std_logic_vector(255 downto 0);
			W0, W1, W2, W3, W4, W5: out std_logic_vector(255 downto 0));
end Expansion;

architecture Behavioral of Expansion is

begin

			W0 <= (init_hash(255 downto 128) xor data_in(511 downto 384) xor data_in(383 downto 256) xor data_in(255 downto 128) xor data_in(127 downto 0)) & (init_hash(127 downto 0) xor data_in(511 downto 384) xor data_in(255 downto 128));
			W1 <= (init_hash(255 downto 128) xor init_hash(127 downto 0) xor data_in(511 downto 384) xor data_in(255 downto 128) xor data_in(127 downto 0)) & (init_hash(255 downto 128) xor data_in(383 downto 256) xor data_in(255 downto 128));
			W2 <= (init_hash(255 downto 128) xor init_hash(127 downto 0) xor data_in(511 downto 384) xor data_in(383 downto 256) xor data_in(255 downto 128)) & (init_hash(255 downto 128) xor data_in(511 downto 384) xor data_in(127 downto 0));
			W3 <= init_hash(255 downto 0);
			W4 <= data_in(511 downto 256);
			W5 <= data_in(255 downto 0);

end Behavioral;

