----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    15:45:30 04/21/2009 
-- Design Name: 
-- Module Name:    swapcolumns - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity swapcolumns is	port(
			sc_in1, sc_in2: in std_logic_vector(127 downto 0);
			sc_out1, sc_out2: out std_logic_vector(127 downto 0));
end swapcolumns;

architecture Behavioral of swapcolumns is

begin

	sc_out1 <= sc_in1(127 downto 64) & sc_in2(127 downto 64);
	sc_out2 <= sc_in1(63 downto 0) & sc_in2(63 downto 0);


end Behavioral;

