-- message padding: als end message hoog wordt zal deze in werking treden ipv input via powerpc
-- hierbij zal deze blijven werken tot de enable output van de 6 bit counter laag wordt
-- deze blok zal eerst een 1 toevoegen en daarna 0-en

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity MessagePadding is
    port(enable_MP, clk, rst,preset: in std_logic;
         output_mp: out std_logic
        );
end MessagePadding;

architecture Behavioral of MessagePadding is 

    
signal output_Reg : std_logic;
begin
MP: process (clk,rst,preset)
   begin
       if preset = '1' then
           output_reg <= '1';
       elsif rst = '1' then
         output_reg <= '0';
               
       elsif rising_edge(clk) then
           if enable_MP= '1' then
               output_reg<= '0';
           else
               output_reg<=output_reg;
           end if;
       end if;
output_mp<= output_reg;
end process;
end behavioral;