library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.STD_LOGIC_ARITH.all;
use IEEE.STD_LOGIC_UNSIGNED.all;


entity mult2 is
   port( input :in std_logic_vector( 255 downto 0 );
         output:out std_logic_vector( 255 downto 0 )
);
end mult2;

architecture internals of mult2 is
signal A7,a6,a5,a4,a3,a2,a1,a0: std_logic_Vector(31 downto 0);
signal A7_out,a6_out,a5_out,a4_out,a3_out,a2_out,a1_out,a0_out: std_logic_Vector(31 downto 0);

Begin
A0 <= input(255 downto 224);
A1 <= input(223 downto 192);
A2 <= input(191 downto 160);
A3 <= input(159 downto 128);
A4 <= input(127 downto 96);
A5 <= input(95 downto 64);
A6 <= input(63 downto 32);
A7 <= input(31 downto 0);


A7_out <= a6;
a6_out <= a5;
a5_out <= A4;
a4_out <= A3 xor A7;
a3_out <= A2 xor A7;
a2_out <= A1;
a1_out <= A0 xor A7;
a0_out <= A7;

output <= A0_out & a1_out & a2_out & a3_out & a4_out & a5_out & a6_out & a7_out;



end internals;
