----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    05:20:10 04/08/2010 
-- Design Name: 
-- Module Name:    Luffa - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity Luffa is
    Port ( Input : in  STD_LOGIC;
           init : in  STD_LOGIC;
           init_ready : out  STD_LOGIC;
           done : out  STD_LOGIC;
           enable : in  STD_LOGIC;
           clk : in  STD_LOGIC;
           rst,end_last_message : in  STD_LOGIC;
			  output : out std_logic_vector(255 downto 0));
end Luffa;

architecture Behavioral of Luffa is

component Luffa_256 is
    Port ( data_Ready,clk,rst : in  STD_LOGIC;
           input : in  STD_LOGIC_vector(255 downto 0);
           output : out  STD_LOGIC_vector(255 downto 0)
         );
end component;

component Luffa_Buffer is
	port (	input,init,end_last_message, clk, rst,enable: in std_logic;
			 output: out std_logic_vector(255 downto 0);
			 done,data_ready,init_ready: out std_logic);
end component;

signal output_buffer : std_logic_vector(255 downto 0);
signal data_ready_int : std_logic;

begin

inst_Luffa_256 : Luffa_256
	port map(data_Ready_int,clk,rst,output_buffer,output);
	
	
inst_Luffa_buffer : Luffa_buffer
	port map(input,init,end_last_message,clk,rst,enable,output_buffer,done,data_Ready_int,init_ready);


end Behavioral;

